LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
MenuProxyListener Service Referencepublished

Listens for changes in menu items. More...

`import"MenuProxyListener.idl";`

Inheritance diagram for MenuProxyListener:

## Exported Interfaces
interface | XMenuProxyListener

## Additional Inherited Members
Public Member Functions inherited from XMenuProxyListener
void | menuChangedMultiple ([in] sequence< MenuMultipleChange > MenuMultipleChanges)
| is called, if the content or graphical representation/state of the menu changes completely, for one or more menu items More...
void | menuChangedSingle ([in] sequence< MenuSingleChange > MenuSingleChanges)
| is called, if the content or graphical representation/state of the menu changes, by one property for one or more menu items More...
void | menuItemDeleted ([in] short ID)
| is called, if one menu item designated by the ID, is deleted. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Listens for changes in menu items.

## Exported Interfaces

interface XMenuProxyListener

See Also
  XMenuProxyListener

The documentation for this service was generated from the following file:

- com/sun/star/mozilla/MenuProxyListener.idl